/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Controller;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Dao.InsuranceAdditionDao;

/**
 *
 * @author 1004242
 */
public class InsuranceAdditionServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        HttpSession session = request.getSession(false);
        String pacsId = (String) session.getAttribute("pacsId");
        String tellerId = (String) session.getAttribute("user");
       // String cif = request.getParameter("custId");
       // String insNo = request.getParameter("insNo");
       // String insDate = request.getParameter("expDate");
       // String insCom = request.getParameter("com");
       // String tranType = request.getParameter("tranType");
        String result = null;
        InsuranceAdditionDao inDao = new InsuranceAdditionDao();
        try {

               result = inDao.createOrUpdateInsurance(tellerId, pacsId, cif ,insNo, insDate,insCom, tranType);

              // request.setAttribute("message", result);
              // request.getRequestDispatcher("/InsuranceAddition.jsp").forward(request, response);

        } catch (Exception e) {
           // e.printStackTrace();
            System.out.println("Error Occurred during processing.");
            request.setAttribute("message", "Request can not be processed.");
            request.getRequestDispatcher("/InsuranceAddition.jsp").forward(request, response);
        }

        request.setAttribute("message", result);
        request.getRequestDispatcher("/InsuranceAddition.jsp").forward(request, response);

    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
